# Generated by Django 4.1.2 on 2023-05-25 12:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('providers', '0002_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='analyticstoken',
            name='active_verbs',
        ),
        migrations.RemoveField(
            model_name='analyticstoken',
            name='provider',
        ),
        migrations.CreateModel(
            name='AnalyticsTokenVerbs',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('verb', models.CharField(db_index=True, max_length=250, unique=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('analytics_token', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='providers.analyticstoken')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='providers.provider')),
            ],
        ),
    ]
